/**
 * This methods initializes Ajax request headers.
 */
function setupAjax() {
	var token = getCookie('tpAPIToken');
	var localeCode = 'en';
	if(PAGE_LANG) {
		var parts = PAGE_LANG.split("_");
		if(parts && parts.length > 0) {
			localeCode = parts[0];
		}
	}
	var ajaxHeader = {
		'Accept-Language': localeCode,
	}
	if(token) {
		ajaxHeader['Authorization'] = token;
	}
	$.ajaxSetup({headers: ajaxHeader});
}

/*function setupAjax() {
	var token = getCookie('tpAPIToken');
	var localeCode = 'en';
	if(PAGE_LANG) {
		var parts = PAGE_LANG.split("_");
		if(parts && parts.length > 0) {
			localeCode = parts[0];
		}
	}	
	$.ajaxSetup({
	    headers: {
	    	'Authorization': token,
            'Accept-Language': localeCode,
    	}
	});
}*/

/**
 * This method returns the cookie value for the given key.
 * @param key
 * @returns
 */
function getCookie(key) {
    var keyValue = document.cookie.match('(^|;) ?' + key + '=([^;]*)(;|$)');
    return keyValue ? keyValue[2] : null;
}

/**
 * This method creates/updates a cookie.
 * @param key
 * @param value
 * @param expiresInMinute
 */
function setCookie(key, value, expiresInMinute) {
	var expires;
	if(expiresInMinute) {
		expires = new Date();
		expires.setTime(expires.getTime() + (2 * expiresInMinute * 60 * 1000));
	}
	var cookie = key + '=' + value;
	if(expires) {
		cookie += ';expires=' + expires.toUTCString();
	}
    document.cookie = cookie; 
}

/**
 * This method handles general Ajax failure.
 * @param jqXHR
 */
function ajaxFailure(jqXHR) {
	alert(jqXHR.status);
	if(jqXHR.status === 401) {
		$.removeCookie('tpAPIToken', { path: '/' });
		switchScreen(true);
	}else {
		if(jqXHR && jqXHR.responseText) {
			var respJSON = $.parseJSON(jqXHR.responseText);
			bootbox.alert(respJSON.errorMessage);
		}else {
			bootbox.alert('Something went wrong!');
		}
	}
}

/**
 * This method detects if the passed object is null.
 * @param variable
 * @returns {Boolean}
 */
function isNull(variable) {
    if( typeof variable === 'undefined' || variable === null ){
        return true;
    }
    return false;
}

/**
 * This method concatenates the label field of an array of object into a string.
 * @param errors
 * @returns {String}
 */
function getErrorsFromArray(errors) {
	var msg = '';
	if(errors) {
		for(var ind in errors) {
			msg += errors[ind].label + '\n';
		}
	}else {
		msg = "Some unexpected error happened!";
	}
	return msg;
}

/**
 * This method shows or hides the loading component.
 * @param visible
 */
function setLoading(visible) {
	if(visible) {
		$('#loadingWrapper').show();
	}else {
		$('#loadingWrapper').hide();
	}
}
