//Global variable, the selected locale object.
var SELECTED_LOCALE = null;
var TP_LOCALE = null;
var AVAILABLE_LOCALES = {
	en: 'en_US',
	de: 'de_DE'
}

//Defining the translations for English
var locales = {
	en_US: {
		'common.unknownError': 'Something went wrong!',
		'common.cancel': 'Cancel',
		'common.ok': 'Ok',
		'common.invalidEmail' : 'Invalid format for e-mail address',
		'common.submit': 'Submit',
		'index.loginBoxTitle': 'Log in into Track+ Support',
		'index.userNameFieldLbl': 'User name',
		'index.userPwdFieldLbl': 'Password',
		'index.loginBtn': 'Login',
		'index.logOut': 'Log off',
		'index.logintWithEmailBtn': 'Login with email address',
		'index.loginWithEmailTF': 'E-mail',
		'index.registerBtn': 'Register',
		'index.regUserName': 'User name',
		'index.regPassword': 'Password',
		'index.regPasswordConfirm': 'Confirm password',
		'index.regPasswordNotMatch': 'Password and confirmation password must match',
		'index.regEmail' : 'E-mail address',
		'index.regPhone' : 'Phone',
		'index.regLastName': 'Last name',
		'index.regFirstName': 'First name',
		'index.regSubmit': 'Register',
		'index.regPreferredLang': 'Preferred Language',
		'index.regDlgTitle': 'Please fill out this form to register',
		'index.regSuccess': 'To complete your registration your account has to be activated by a system administrator.',
		'index.forgotPwdBtn': 'Forgot password',
		'index.forgotPwdDlgTitle': 'Please enter the e-mail address under which you have registered with the system: ',
		'index.forgotRecoveredSuccessfully': 'We have sent you an e-mail to recover your password!',
		'index.forgotPwdDlgEmail': 'E-mail address',
		'index.loginWithAccount': 'Login with account',
		'index.loginWithEmail': 'Login with E-mail address',
		'index.registerHint': 'New in Track+?',
		'home.createNewItem': 'New question/message',
		'home.fields.title': "Subject",
		'home.fields.description': 'Description',
		'home.createItemCreateBtn': 'Send',
		
		'home.fields.projects': "Workspaces",
		'home.fields.issueType': "Issue types",
		'home.fields.status': "Status",
		'home.newItem.created': "New item created",
		'home.addAttachmentLbl': "Add attachments",
		'home.removeAttachmentLbl': "Hide attachments"
	},
	de_DE: {
		'common.unknownError': 'Leider ist etwas schief gegangen',
		'common.cancel': 'Abbrechen',
		'common.ok': 'Ok',
		'common.invalidEmail' : 'Die angegebene Email-Adresse hat ein ungültiges Format',
		'common.submit': 'Einreichen',
		'index.loginBoxTitle': 'Bitte melden Sie sich zunächst an',
		'index.userNameFieldLbl': 'Benutzername',
		'index.userPwdFieldLbl': 'Kennwort',
		'index.loginBtn': 'Anmelden',
		'index.logOut': 'Abmelden',
		'index.logintWithEmailBtn': 'Anmelden mit Email',
		'index.loginWithEmailTF': 'Email',
		'index.registerBtn': 'Registrieren',
		'index.regUserName': 'Benutzername',
		'index.regPassword': 'Kennwort',
		'index.regPasswordConfirm': 'Kennwort bestätigen',
		'index.regPasswordNotMatch': 'Kennwort und Bestätigungskennwort müssen übereinstimmen',
		'index.regEmail' : 'Email-Adresse',
		'index.regPhone' : 'Telefon',
		'index.regLastName': 'Nachname',
		'index.regFirstName': 'Vorname',
		'index.regPreferredLang': 'Bevorzugte Sprache',
		'index.regSubmit': 'Registrieren',
		'index.regDlgTitle': 'Bitte füllen Sie das Formular zur Registrierung aus',
		'index.regSuccess': 'Um Ihre Registrierung abzuschließen, muss Ihr Konto von einem Systemverwalter aktiviert werden.',
		'index.forgotPwdBtn': 'Kennwort vergessen',
		'index.forgotPwdDlgTitle': 'Bitte geben Sie hier die Email-Adresse an, unter der Sie sich registriert hatten: ',
		'index.forgotRecoveredSuccessfully': 'Wir haben Ihnen eine Email zum Zurücksetzen Ihres Kennworts geschickt!',
		'index.forgotPwdDlgEmail': 'Email Adresse',
		'index.loginWithAccount': 'Mit Konto anmelden',
		'index.loginWithEmail': 'Mit Email anmelden',
		'index.registerHint': 'Neu bei uns?',
		'home.createNewItem': 'Frage/Nachricht erstellen',
		'home.fields.title': "Betreff",
		'home.fields.description': 'Beschreibung',
		'home.createItemCreateBtn': 'Senden',
		
		'home.fields.projects': "Bereich",
		'home.fields.issueType': "Vorgangstyp",
		'home.fields.status': "Zustand",
		'home.newItem.created': "Ein neuer Vorgang wurde angelegt",
		'home.addAttachmentLbl': "Anhang hinzufügen",
		'home.removeAttachmentLbl': "Anhänge ausblenden"
	}
};

/**
 * This method reads from cookie the locale value and sets the locale object.
 * If the tpAPILocale cookie missing, the default locale is English.
 */
function setSelectedLocaleObj() {
//	var localeCode = getCookie("tpAPILocale");
/*	switch (localeCode) {
		case AVAILABLE_LOCALES.en:
			SELECTED_LOCALE = locales['en_US'];
			break;
		case AVAILABLE_LOCALES.de:
			SELECTED_LOCALE = locales['de_DE'];
			break;
		default:
			if(locales[BROWSER_LANG]) {
				SELECTED_LOCALE = locales[BROWSER_LANG];
			}
			break;
	}
*/
	if(locales[PAGE_LANG]) {
		SELECTED_LOCALE = locales[PAGE_LANG];
	}
	if(isNull(SELECTED_LOCALE)) {
		SELECTED_LOCALE = locales['en_US'];
	}
}

/**
 * Returns a translation for the given key.
 * If the translation not found it returns the key concatenated with ! sign.
 * @param key
 * @returns {String}
 */
function getText(key) {
	if(isNull(SELECTED_LOCALE)) {
		setSelectedLocaleObj();
	}
	setSelectedLocaleObj();
	var value = SELECTED_LOCALE[key];
	if(isNull(value)) {
		value = key + "!";
	}
	return value;
	
}
