<?php
  	$SERVER_BASE_URL = "https://www.trackplus.com/track/rest";

	$THEME = "custom"; // [custom|default]
	
	// Available locale: en_US, de_DE
	$PAGE_LANG = "de_DE";

	// If you do not want to show a logo leave path empty.
	$NAVBAR_COMPANY_LOGO_SRC = "";

	if($THEME == "default") {
		$PAGE_TITLE = "EXAMPLE";
		$LOGIN_CONTAINER_LAYOUT = "col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-10 col-sm-offset-1 col-xs-12 loginContainer";
		$NAVBAR_COMPANY_LOGO_SRC = "Resources/images/navBarCompLogo.svg";
	}else if($THEME == "custom"){
		$LOGIN_CONTAINER_LAYOUT = "col-lg-7 col-lg-offset-0 col-md-8 col-md-offset-0 col-sm-8 col-sm-offset-0 col-xs-12 loginContainer";
	}	
	
	$lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
	/*$BROWSER_LANG = "";
	switch ($lang){
		case "en":
			$BROWSER_LANG = "en_US";
			break;
		case "de":
			$BROWSER_LANG = "de_DE";
			break;
		default:
			$BROWSER_LANG = "en_US";
			break;
	}*/
	$PAGE_TITLE = "";
?>


<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        
		<link rel="stylesheet" href="Resources/js/bootstrap/css/bootstrap.min.css">
		<link rel="stylesheet" href="Resources/js/bootstrap/css/bootstrap-theme.min.css">
		<link rel="stylesheet" href="Resources/js/jsgrid/jsgrid.min.css" />
		<link rel="stylesheet" href="Resources/js/jsgrid/jsgrid-theme.min.css" />
		<link rel="stylesheet" href="Resources/js/kartik-file-input/css/fileinput.css" />
		
		
		<script src="Resources/js/jQuery/jQuery.js"></script>
		<script src="Resources/js/jQuery/jQuery.cookie.js"></script>
		<script src="Resources/js/jsgrid/jsgrid.min.js"></script>
		<script src="Resources/js/bootstrap/js/bootstrap.min.js"></script>
		<script src="Resources/js/bootstrap-validator/js/validator.js"></script>
		<script src="Resources/js/bootstrap-bootbox/js/bootbox.min.js"></script>
		
		
		
		<script src="Resources/js/kartik-file-input/js/plugins/sortable.js"></script>
		<script src="Resources/js/kartik-file-input/js/fileinput.min.js"></script>
		<script src="Resources/js/kartik-file-input/js/locales/de.js"></script>
		
		<link rel="stylesheet" href="Resources/style.css">
		<?php if($THEME == "custom") { ?>
			<link rel="stylesheet" href="Resources/custom-style.css">
		<?php }?>
		
		
		<script src="Resources/js/Fields.js"></script>
        <script src="Resources/js/HomeController.js"></script>		
		<script src="Resources/js/Fields.js"></script>
		<script src="Resources/js/Common.js"></script>
		<script src="Resources/js/Localization.js"></script>
        <script src="Resources/js/LoginController.js"></script>
        
        
        <link href="Resources/images/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
        
		<title><?php echo $PAGE_TITLE;?></title>
		
		
		<!-- **************** Server base URL **************** -->
		<script type="text/javascript">
			var BASE_URL = "<?php echo $SERVER_BASE_URL; ?>";
			var PAGE_LANG = "<?php echo $PAGE_LANG; ?>"; 
		</script>
		
    </head>
	<body>
    
    	<!-- Loading component present in Login and in Home screen -->
	    <div id="loadingWrapper" class="loadingWrapper">
	    	<div class="container">
	        	<div class="row" style="">
	   				<img src="Resources/images/loading.gif" class="img-responsive center-block" />
	   			</div>
	   		</div>
	    </div>
	    
	    <!-- This section contains all UI items which belongs to Login screen -->
		<section id = "loginSection" class = "loginSection">
		<!-- This div contains all UI components which belong to user authentication -->
		<div class="container-fluid">
			<div class = "row">
			<div class="<?php echo $LOGIN_CONTAINER_LAYOUT; ?>">
				<div class="row">
				<h3 id = "loginBoxTitle" class = "loginBoxTitle"> w </h4>
					<!--  col-lg-offset-2 -->
					<div class="col-lg-6">
						<h4 id = "loginWithAccountLbl"></h4>
						<form id="loginWithUserAndPwdForm" class="" data-toggle="validator"
							role="form">
							<div class="form-group">
								<!-- <label id="userNameLbl" for="userName">Title</label> --> 
								<input id="userName" type="text" class="form-control" required/> 
							</div>
							<div class="form-group">
								<input id="password" type="password" class="form-control" required/>
								<div class="row forgotPwdRow">
									<div class="col-lg-4">
										<!-- <label id="passwordLbl" for="password">Title</label> -->
									</div>
									<div class="col-lg-8" style="text-align: right">
										<a id="forgotPwdLink" class="forgotPwdLink" href="javascript: showForgotPwd();">Forgot password</a>
									</div>
								</div>
							</div>
							<div class="form-group submitAndRegBtnFormG">
								<button id="loginBtn" type="submit"
									class="btn btn-success btn-block loginBtn">Login</button>
								<span id = "registerHintLbl" class="registerHint"></span>
								<button id="registerBtn" onclick="showRegDlg()" type="button"
									class="btn btn-success btn-block registerBtn" data-toggle="modal">Register</button>
							</div>
						</form>
					</div>
					<div class="col-lg-6">
						<h4 id = "loginWithEmailLbl" ></h4>
						<form id="loginWithEmailForm" class="form" data-toggle="validator"
							role="form">
							<div class="form-group">
								<!-- <label id="loginWithEmailLabel" for="loginWithEmailTF">Title</label> -->
								<input id="loginWithEmailTF" type="email" class="form-control"
									data-error="Invalid format for e-mail address" required>
								<div class="help-block with-errors"></div>
							</div>
							<div class="form-group">
								<button id="loginWithEmailSubmitBtn" type="submit"
									class="btn btn-success btn-block">Submit</button>
							</div>
						</form>
					</div>
				</div>
			</div>
			</div>
		</div>

		<!-- Registration dialog -->
		<div id="registrationDialog" class="modal fade" role="dialog">
	  		<div class="modal-dialog">
			    <!-- Modal content-->
			    <div class="modal-content">
	    			<div class="modal-header">
	        			<button type="button" class="close" data-dismiss="modal">&times;</button>
	        				<h4 id="regDlgTitle" class="modal-title">Please fill out this form to register</h4>
	      			</div>
	      			<div class="modal-body">
					    <form id="regForm" class="form" data-toggle="validator" role="form">
						    <div class="form-group">
						    	<label id = "regUserNameLabel" for="regUserName">User name</label>
								<input type="text" class="form-control" id="regUserName" required>
					  		</div>
					  		
				  			<div class="form-group">
				  				<label id = "regPasswordLabel" for="regPassword">Password</label>
				   				<input id="regPassword" type="password" class="form-control" required>
				   				<label id = "regPasswordConfirmLabel" for="regPasswordConfirm">Confirm password</label>
				     			<input id="regPasswordConfirm" type="password" class="form-control" data-match="#regPassword" data-match-error="Password and confirmation password must match" required>
				     			<div class="help-block with-errors"></div>
				  			</div>
	  		
					  		 <div class="form-group">
					  		 	<label id = "regEmailLabel" for="regEmail">Password</label>
				    			<input id="regEmail" type="email" class="form-control" data-error="Invalid format for e-mail address" required>
				    			<div class="help-block with-errors"></div>
							</div>
			
							 <div class="form-group">
							 	<label id = "regPhoneLabel" for="regPhone">Password</label>
				    			<input type="text" class="form-control" id="regPhone">
							</div>
							
				  			<div class="form-group">
				  				<label id = "regLastNameLabel" for="regLastName">Password</label>	
								<input type="text" class="form-control" id="regLastName" required>
					  		</div>
	  		
					  		<div class="form-group">
					  			<label id = "regFirstNameLabel" for="regFirstName">Password</label>
								<input type="text" class="form-control" id="regFirstName" required>
					  		</div>
					  		
					  		<div class="form-group">
					  			<label id = "regLocalesLabel" for="regLocales">Password</label>
							    <div id = "regLocales" class="dropdown">
									<button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
								  	</button>
										<ul id = "regLocalesDropDownUl" class="dropdown-menu scrollable-menu">
									  	</ul>
								</div>
						    </div>
	  		
					  		<div class="form-group">
				    			<button id = "regSubmitBtn" type="submit" class="btn btn-success">Submit</button>
				    			<button id = "regCancelBtn" type="button" class="btn btn-success cancelBtn" data-dismiss="modal">Close</button>
				  			</div>
  						</form> 
	      			</div>
	      			<div class="modal-footer">
	      			</div>
	    		</div> 
	  		</div>
		</div>
		
		<!-- Forgot password dialog -->
		<div id="forgotPwdDialog" class="modal fade" role="dialog">
	  		<div class="modal-dialog">
			    <!-- Modal content-->
			    <div class="modal-content">
	    			<div class="modal-header">
	        			<button type="button" class="close" data-dismiss="modal">&times;</button>
        				<h4 id="forgotPwdDlgTitle" class="modal-title"></h4>
	      			</div>
	      			<div class="modal-body">
					    <form id="forgotForm" class="form" data-toggle="validator" role="form">
					     	<div class="form-group">
					     		<label id = "forgotEmailLabel" for="forgotEmail">E-mail address:</label>
				    			<input id="forgotEmail" type="email" class="form-control" data-error="Invalid format for e-mail address" required>
				    			<div class="help-block with-errors"></div>
							</div>
							<div class="form-group">
				    			<button id = "forgotSubmitBtn" type="submit" class="btn btn-success">Submit</button>
				    			<button id = "forgotCancelBtn" type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				  			</div>
  						</form> 
	      			</div>
	      			<div class="modal-footer">
	      			</div>
	    		</div> 
	  		</div>
		</div>
	</section>
	
	<!-- This section contains all UI items belonging to the Home screen -->
	<section id = "homeSection" class = "homeSection">
	<!-- Navigation bar, right now contains only the company logo, and a log out button -->
	<div class="container-fluid navbarContainer">
	   	<div class = "row">
			<div class="col-lg-12">
		    	<div class = "navCompanyLogoWrapper">
		    		<?php if($NAVBAR_COMPANY_LOGO_SRC != "") { ?>
	    				<img class = "navCompanyLogo" src = "<?php echo $NAVBAR_COMPANY_LOGO_SRC; ?>">
	    			<?php }?>
	    		</div>
	    		<nav class="navbar navbar-inverse">
	    			<div class="navbar-header">
	    			</div>
	    			<!-- Navbar menu items 
	   				<ul class="nav navbar-nav">
	      				<li class="active"><a href="#">Home</a></li>
	    			</ul>
	    			-->
	    			<ul class="nav navbar-nav navbar-right">
	      				<li onclick="logout()">
		      				<a href="#">
		      					<span class="glyphicon glyphicon-log-out margin-right-5 navbarLogoutIcon">
		      					</span>
		      					<span id = "navbarLogoutLbl" class = "navbarLogoutLbl">
		      						Log out
	      						</span>
	      					</a>
	    				</li>
	    			</ul>
				</nav>
			</div>
		</div>
	</div>
	
	<!-- The grid component. Filled dynamically from JS. -->
	<div class="container-fluid">
		<div class = "row">
			<div class="col-lg-12">
				<div class ="jsGrid" id ="jsGrid" ></div>
			</div>
		</div>
	</div>
	
	<!-- Create item form -->			
	<div class="container-fluid">
		<div class = "row">
			<div class="col-lg-12">		
				<div id="newItemFromWrapper" class="container newItemFromWrapper">
					<button id = "createNewItemBtn" class = "btn btn-success" onclick="showCreateItem()">Create new</button>
					<div class = "row">
						<div class="col-lg-12">
							<form id="createNewItemForm" class="form" data-toggle="validator" role="form">
								<!-- Projects -->
								<!-- 
								<label id = "projectsLabel" for="projects">Projects</label>
								<div class="form-group">
									<div id = "projects" class="dropdown">
										<button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
											<span class="caret"></span>
										</button>
										<ul id = "projectsUl" class="dropdown-menu scrollable-menu">
										</ul>
									</div>
							    </div>
							     -->
							     
							     
							    <!-- Issue type -->
							    <!-- 
							    <label id = "issueTypesLabel" for="issueTypes">Projects</label>
								<div class="form-group">
									<div id = "issueTypes" class="dropdown">
										<button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
											<span class="caret"></span>
										</button>
										<ul id = "issueTypesUl" class="dropdown-menu scrollable-menu">
										</ul>
									</div>
							    </div>
							     -->

								<!-- Title -->
							    <div class="form-group">
							     	<label id = "synopsisLbl" for="f17">Title</label>
									<input id = "synopsis" type="text" class="form-control" required>
						  		</div>
						  		
						  		<!-- Description -->
						  		<div class="form-group">
							     	<label id = "descriptionLbl" for="f21">Description</label>
									<textarea id = "description" class = "form-control" rows="5" ></textarea>
						  		</div>
						  		
						    	<!-- Issue type -->
						    	<!-- 
						    	<label id = "statesLabel" for="states">Projects</label>
								<div class="form-group">
									<div id = "states" class="dropdown">
										<button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
											<span class="caret"></span>
										</button>
										<ul id = "statesUL" class="dropdown-menu scrollable-menu">
										</ul>
									</div>
							    </div>
						  		 -->
						  		 <div class="form-group attachmentUploadGroup">
						  		 	
						  		 	<span onClick = "onAddAttachment()" id = "addAttachmentLblComp"  class="addAttachmentLblComp">
							  		 	<span class="glyphicon glyphicon-paperclip"></span>
							  		 	<span id = "addAttachmentLbl" >Add</span>
					  		 		</span>
						  		 	
						  		 	<span onClick = "onRemoveAttachment()" id = "removeAttachmentLblComp" class = "removeAttachmentLblComp">
							  		 	<span class="glyphicon glyphicon-paperclip"></span>
						  		 		<span id = "removeAttachmentLbl" >Remove</span>
					  		 		</span>
						  		 	
						  		 	<section id = "addAttachmentSection" class = "addAttachmentSection">
            							<input id="fileInput" name="fileInput"  type="file" multiple>
            						</section>
        						 </div>
						  		<div class="form-group">
									<button id = "createItemCreateBtn" type="submit" class="btn btn-success">Submit</button>
									<button id = "createItemCancelBtn" type="button" class="btn btn-success cancelBtn" onClick="hideCreateForm()">Close</button>
				  				</div>
					  		</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
        
	</section>
	
	<!-- Page background -->
	<div id = "overlay" class = "overlay">
	</div>

</body>
</html>
